--- updatedAt: 2026-07-30T18:14:46.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/attendances ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/attendances": { "get": { "tags": [ "Attendance" ], "operationId": "getPublicAttendanceAttendances", "parameters": [ { "name": "MaxResultCount", "in": "query", "schema": { "maximum": 100, "minimum": 1, "type": "integer", "format": "int32" } }, { "name": "CustomerId", "in": "query", "schema": { "type": "string", "format": "uuid" } }, { "name": "MobileNumber", "in": "query", "schema": { "type": "string" } }, { "name": "CustomerNumber", "in": "query", "schema": { "type": "integer", "format": "int64" } }, { "name": "Sorting", "in": "query", "schema": { "type": "string" } }, { "name": "SkipCount", "in": "query", "schema": { "maximum": 2147483647, "minimum": 0, "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/AttendanceListResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/AttendanceListResponse" }, "examples": { "OK - application/json": { "summary": "OK - application/json", "value": "{}{\n \"items\": [\n {\n \"type\": 0,\n \"actionType\": 0,\n \"customerId\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"customerName\": \"Ahmed Alqahtani\",\n \"customerMobileNumber\": \"+966501234567\",\n \"providers\": [\n \"Trainer: Sara Ahmed\"\n ],\n \"customerImageUrl\": null,\n \"actionName\": \"Monthly Membership\",\n \"actionId\": \"9d04af1e-5a86-4cdf-b915-158e9c8c2c02\",\n \"actionDateFrom\": \"2026-08-01T00:00:00Z\",\n \"actionDateTo\": \"2026-08-31T23:59:59Z\",\n \"isActive\": true,\n \"canDoCheckIn\": true,\n \"isFirstCheckIn\": true,\n \"customFields\": [\n {\n \"label\": \"Membership number\",\n \"value\": \"MEM-1024\"\n }\n ],\n \"isPackage\": false,\n \"message\": null,\n \"actionDate\": \"2026-08-26T09:30:00Z\"\n }\n ],\n \"totalCount\": 1\n}" } } }, "text/json": { "schema": { "$ref": "#/components/schemas/AttendanceListResponse" }, "examples": { "OK - text/json": { "summary": "OK - text/json", "value": "" } } } } } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "AttendanceActionType": { "enum": [ 0, 1 ], "type": "integer", "format": "int32", "x-enumNames": [ "In", "Out" ] }, "AttendanceCustomFieldResponse": { "type": "object", "properties": { "label": { "type": "string" }, "value": { "type": "string" } }, "additionalProperties": false }, "AttendanceListResponse": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/AttendanceResponse" } }, "totalCount": { "type": "integer", "format": "int64" } }, "additionalProperties": false }, "AttendanceResponse": { "type": "object", "properties": { "type": { "$ref": "#/components/schemas/AttendanceType" }, "actionType": { "$ref": "#/components/schemas/AttendanceActionType" }, "customerId": { "type": "string", "format": "uuid" }, "customerName": { "type": "string" }, "customerMobileNumber": { "type": "string" }, "providers": { "type": "array", "items": { "type": "string" } }, "customerImageUrl": { "type": "string" }, "actionName": { "type": "string" }, "actionId": { "type": "string", "format": "uuid" }, "actionDateFrom": { "type": "string", "format": "date-time" }, "actionDateTo": { "type": "string", "format": "date-time" }, "isActive": { "type": "boolean" }, "canDoCheckIn": { "type": "boolean" }, "isFirstCheckIn": { "type": "boolean" }, "customFields": { "type": "array", "items": { "$ref": "#/components/schemas/AttendanceCustomFieldResponse" } }, "isPackage": { "type": "boolean" }, "message": { "type": "string" }, "actionDate": { "type": "string", "format": "date-time" } }, "additionalProperties": false }, "AttendanceType": { "enum": [ 0, 1 ], "type": "integer", "format": "int32", "x-enumNames": [ "Reservation", "Subscription" ] } } } } ```